Ethiack Docs
Organization beacons

List Beacons

GET
/v1/organizations/{organization_id}/beacons/

Returns a paginated list of beacons for the organization.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

organization_id*integer

Query Parameters

status?integer
page?integer
per_page?integer

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/organizations/0/beacons/"
{
  "beacons": [
    {
      "id": 0,
      "name": "string",
      "allowed_cidrs": [
        "string"
      ],
      "dns_server": "string",
      "interface_name": "string",
      "status": 0,
      "last_seen": "2019-08-24T14:15:22Z",
      "created": "2019-08-24T14:15:22Z",
      "version": 0,
      "beacon_token": null,
      "rathole_server": null,
      "rathole_public_port": null,
      "wireguard_config": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}